diff -ur openssh-3.4p1.orig/channels.c openssh-3.4p1/channels.c
--- openssh-3.4p1.orig/channels.c	Wed Jun 26 19:14:43 2002
+++ openssh-3.4p1/channels.c	Tue Aug  6 18:26:29 2002
@@ -186,6 +186,7 @@
 	} else {
 		c->isatty = 0;
 	}
+	c->wfd_isatty = isatty(c->wfd);
 
 	/* enable nonblocking mode */
 	if (nonblock) {
@@ -1278,6 +1279,11 @@
 	    buffer_len(&c->output) > 0) {
 		data = buffer_ptr(&c->output);
 		dlen = buffer_len(&c->output);
+#ifdef _AIX
+		/* XXX: Later AIX versions can't push as much data to tty */ 
+		if (compat20 && c->wfd_isatty && dlen > 8*1024)
+			dlen = 8*1024;
+#endif
 		len = write(c->wfd, data, dlen);
 		if (len < 0 && (errno == EINTR || errno == EAGAIN))
 			return 1;
Only in openssh-3.4p1: channels.c.orig
diff -ur openssh-3.4p1.orig/channels.h openssh-3.4p1/channels.h
--- openssh-3.4p1.orig/channels.h	Wed Jun 26 09:17:37 2002
+++ openssh-3.4p1/channels.h	Tue Aug  6 18:26:29 2002
@@ -77,6 +77,7 @@
 	int     efd;		/* extended fd */
 	int     sock;		/* sock fd */
 	int     isatty;		/* rfd is a tty */
+	int     wfd_isatty;	/* wfd is a tty */
 	int     force_drain;	/* force close on iEOF */
 	int     delayed;		/* fdset hack */
 	Buffer  input;		/* data read from socket, to be sent over
